6.0.0-git
2021-01-24

[#6997] My Address Books missing shared address books
Summary My Address Books missing shared address books
Queue Turba
Queue Version 2.2.1
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2008-06-30 (4591 days ago)
Due
Updated 2008-10-24 (4475 days ago)
Assigned 2008-06-30 (4591 days ago)
Resolved 2008-07-24 (4567 days ago)
Milestone 2.2.2
Patch No

History
2008-10-24 10:28:08 Jan Schneider Comment #5 Reply to this comment
My IRC discussion with Lukas about that issue and the solution:



(18:58:53) yunosh: is it possible that mdb2 and db collide if using 
both in a script, but with different database names?

(18:59:28) lsmith: well .. most db ext reuse connections to the same host

(18:59:42) lsmith: some provide a way to force the creation of a new 
connection

(18:59:54) lsmith: but without it .. you might run into some issues

(19:00:14) lsmith: thats the only point that comes to my head at least

(19:00:27) lsmith: mdb2 does a fair bit of changing in the db sessions

(19:00:32) lsmith: db does much less of that

(19:00:40) lsmith: so if at all .. db could see some "breakage"

(19:02:12) yunosh: well, last time i checked the mysql driver of db 
(which i am using) it performs a select db before each query

(19:02:45) yunosh: and indeed it's a mdb2 query that fails because it 
runs onthe wrong db, not a DB query

(19:06:43) lsmith: ah

(19:06:58) yunosh: got it

(19:07:00) lsmith: yunosh: mdb2 doesnt do the select db

(19:07:10) yunosh: yes, because it tracks the current db internally

(19:07:11) lsmith: so set the new link dsn option

(19:07:30) yunosh: that won't help

(19:07:45) yunosh: oh, it would

(19:07:59) yunosh: but i rather don't want to have two connections open

(19:08:17) yunosh: db selects the db unconditionally

(19:08:30) yunosh: mdb2 only if the internal tracked database name changes

(19:08:36) lsmith: right

(19:08:43) yunosh: and of course it doesn't notice if it's changed outside

(19:08:50) lsmith: you can fix this with a debug handler

(19:09:00) yunosh: like how?

(19:09:15) lsmith: there is a hook that allows you to execute stuff 
before and after a query

(19:09:30) yunosh: ah

(19:10:24) lsmith: http://pooteeweet.org/blog/429

(19:11:39) yunosh: thanks, i guess we'll have to go that route

(19:13:15) lsmith: in the debug handler .. just change the dsn

(19:13:29) lsmith: then it should automatically do the select db if necessary

(19:13:37) lsmith: and skip it if its not needed

(19:14:04) yunosh: well, i could select the db directly in the debug 
handler, no?

(19:14:12) lsmith: you could

(19:14:19) lsmith: but if you execute two mdb2 queries in a row

(19:14:29) lsmith: you would end up with to select db calls (a round 
trip each)

(19:14:45) lsmith: with just updating the dsn you would have to fairly 
cheap php calls and one select db call

(19:15:10) yunosh: well, updating the dsn doesn't help, because it is correct

(19:15:27) yunosh: it just doesn't match the current db link

(19:15:28) lsmith: err .. right
2008-07-24 17:34:07 Jan Schneider Assigned to Jan Schneider
Taken from Michael Rubinsky
State ⇒ Resolved
 
2008-07-24 17:32:43 CVS Commit Comment #4 Reply to this comment
2008-07-05 16:33:20 Michael Rubinsky Comment #3 Reply to this comment
Still cannot reproduce. Is anyone else seeing this?
2008-06-30 18:48:00 Michael Rubinsky Summary ⇒ My Address Books missing shared address books
 
2008-06-30 18:32:15 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
I am unable to reproduce this.



I've tried enabling the example pref backend source, the favorites, 
the groups, and I also created a new non-shared SQL source.  All 
sources are currently working, and the shared address books are 
showing up as expected.
2008-06-30 17:08:20 Jan Schneider Milestone ⇒ 2.2.2
 
2008-06-30 17:08:09 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 2. Medium
Summary ⇒ My Address Books missings shared address books
Queue ⇒ Turba
Assigned to Michael Rubinsky
Milestone ⇒
Patch ⇒ No
Reply to this comment
If using both shared and non-shared sources in sources.php, the "My 
Address Book" screen doesn't show the shared address books anymore.

Saved Queries